-- MySQL Script generated by MySQL Workbench
-- Fri Nov  3 10:53:59 2017
-- Model: New Model    Version: 1.0
-- MySQL Workbench Forward Engineering

SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0;
SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0;
SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='TRADITIONAL,ALLOW_INVALID_DATES';

-- -----------------------------------------------------
-- Schema abt_empresa
-- -----------------------------------------------------

-- -----------------------------------------------------
-- Table `abt_empresa_forestal`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `abt_empresa_forestal` ;

CREATE TABLE IF NOT EXISTS `abt_empresa_forestal` (
  `empresa_forestal_id` INT(11) NOT NULL AUTO_INCREMENT,
  `razon_social_nombre` VARCHAR(200) NOT NULL,
  `numero_fundempresa` VARCHAR(70) NULL DEFAULT NULL,
  `nit` VARCHAR(20) NULL DEFAULT NULL,
  `registro_empresa` VARCHAR(30) NULL DEFAULT NULL,
  `registro_antiguo` VARCHAR(30) NULL DEFAULT NULL,
  `habilitado` TINYINT(4) NOT NULL DEFAULT '0',
  `estado` ENUM('B','C','M') NOT NULL COMMENT 'Posibles Valores:\\nB: Borrador\\nC: Completado\\nM: Modificado',
  `propietario_codpersona` INT(10) UNSIGNED NULL DEFAULT NULL,
  PRIMARY KEY (`empresa_forestal_id`),
  INDEX `fk_abt_empresa_forestal_abt_persona1` (`propietario_codpersona`)
)
COLLATE='latin1_swedish_ci'
ENGINE=InnoDB
AUTO_INCREMENT=6
;

CREATE UNIQUE INDEX `codigo_empresa_UNIQUE` ON `abt_empresa_forestal` (`registro_empresa` ASC);


-- -----------------------------------------------------
-- Table `abt_sucursal_empresa`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `abt_sucursal_empresa` ;

CREATE TABLE IF NOT EXISTS  `abt_sucursal_empresa` (
  `empresa_sucursal_id` INT(11) NOT NULL AUTO_INCREMENT,
  `empresa_id` INT(11) NOT NULL,
  `direccion` VARCHAR(250) NULL DEFAULT NULL,
  `coordenada_x` VARCHAR(30) NOT NULL,
  `coordenada_y` VARCHAR(30) NOT NULL,
  `municipio_id` INT(10) UNSIGNED ZEROFILL NOT NULL,
  `agente_registro` VARCHAR(45) NULL DEFAULT NULL,
  `index_sucursal` INT(11) NOT NULL,
  PRIMARY KEY (`empresa_sucursal_id`),
  INDEX `fk_abt_sucursal_empresa_abt_empresa_forestal1` (`empresa_id`),
  INDEX `fk_abt_sucursal_empresa_tec_municipio1` (`municipio_id`),
  CONSTRAINT `fk_abt_sucursal_empresa_abt_empresa_forestal1` 
  FOREIGN KEY (`empresa_id`) 
  REFERENCES `abt_empresa_forestal` (`empresa_forestal_id`) 
    ON UPDATE NO ACTION 
    ON DELETE NO ACTION
)
COLLATE='latin1_swedish_ci'
ENGINE=InnoDB;


-- -----------------------------------------------------
-- Table `abt_sucursal_has_actividad`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `abt_sucursal_has_actividad` ;
CREATE TABLE IF NOT EXISTS `abt_sucursal_has_actividad` (
  `sucursal_actividad_id` INT NOT NULL AUTO_INCREMENT,
  `actividad_id` INT UNSIGNED NOT NULL,
  `categoria_id` INT NOT NULL,
  `sucursal_id` INT NOT NULL,
  `esprincipal` TINYINT NULL,
  `inhabilitado` TINYINT NOT NULL DEFAULT 0,
  `fecha_inhabilitado` VARCHAR(45) NULL,
  PRIMARY KEY (`sucursal_actividad_id`),
  INDEX `fk_empresa_actividad_sucursal` (`sucursal_id`),
  CONSTRAINT `fk_empresa_actividad_sucursal`
    FOREIGN KEY (`sucursal_id`)
    REFERENCES `abt_sucursal_empresa` (`empresa_sucursal_id`)
    ON UPDATE CASCADE 
    ON DELETE CASCADE
)
COLLATE='latin1_swedish_ci'
ENGINE = InnoDB;

-- -----------------------------------------------------
-- Table `abt_archivo_empresa`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `abt_archivo_empresa` ;

CREATE TABLE IF NOT EXISTS `abt_archivo_empresa` (
  `archivo_empresa_id` INT(11) NOT NULL,
  `nombre` VARCHAR(200) NOT NULL,
  `descripcion` TEXT NULL,
  PRIMARY KEY (`archivo_empresa_id`)
)
ENGINE=InnoDB
;


-- -----------------------------------------------------
-- Table `abt_archivo_has_actividad`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `abt_archivo_actividad_categoria` ;

CREATE TABLE IF NOT EXISTS `abt_archivo_actividad_categoria` (
  `archivo_actividad_actividad_id` INT(11) NOT NULL AUTO_INCREMENT,
  `config_archivo_id` INT(11) NOT NULL,
  `actividad_id` INT(10) UNSIGNED NOT NULL,
  `categoria_id` INT(10) UNSIGNED NOT NULL,
  PRIMARY KEY (`archivo_actividad_actividad_id`),
  INDEX `fk_archivo_actividad_has_archivo` (`config_archivo_id`),
  INDEX `fk_archivo_actividad_has_actividad` (`actividad_id`)
)
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `abt_archivo_actividad`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `abt_documento_presentado` ;

CREATE TABLE IF NOT EXISTS `abt_documento_presentado` (
  `documento_presentado_id` INT(11) NOT NULL AUTO_INCREMENT,
  `esPresentado` TINYINT(4) NOT NULL DEFAULT '0',
  `nombre_file` VARCHAR(150) NOT NULL,
  `empresa_sucursal_id` INT(11) NULL DEFAULT NULL,
  `config_archivo_id` INT(11) NOT NULL,
  `empresa_id` INT(11) NULL DEFAULT NULL,
  `entidad_id` INT(11) NULL DEFAULT NULL,
  `tipo` ENUM('A','AG','R') NULL DEFAULT NULL COMMENT 'A: Actividad, AG: Agente Aux, R: Representante',
  PRIMARY KEY (`documento_presentado_id`),
  INDEX `fk_abt_archivo_actividad_abt_sucursal_empresa` (`empresa_sucursal_id`),
  INDEX `fk_abt_archivo_actividad_abt_configuracion_archivo_empresa` (`config_archivo_id`),
  INDEX `fk_abt_documento_presentado_abt_empresa_forestal` (`empresa_id`),
  CONSTRAINT `fk_abt_archivo_actividad_abt_sucursal_empresa1` 
  FOREIGN KEY (`empresa_sucursal_id`) 
    REFERENCES `abt_sucursal_empresa` (`empresa_sucursal_id`) 
    ON UPDATE NO ACTION 
    ON DELETE NO ACTION,
  CONSTRAINT `fk_abt_documento_presentado_abt_empresa_forestal1` 
  FOREIGN KEY (`empresa_id`) 
    REFERENCES `abt_empresa_forestal` (`empresa_forestal_id`) 
    ON UPDATE NO ACTION 
    ON DELETE NO ACTION
)
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `abt_solicitud_tramite_empresa`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `abt_solicitud_tramite_empresa` (
  `solicitud_tramite_empresa_id` INT(11) NOT NULL AUTO_INCREMENT,
  `fecha_registro` DATETIME NOT NULL,
  `empresa_id` INT(11) NOT NULL,
  `codigo_usuario_id` INT(10) NOT NULL,
  `gestion` INT(11) NOT NULL,
  `tipo_solicitud` ENUM('I','R','A') NOT NULL COMMENT 'Enum:\\\\nI: Inscripcion\\\\nR: Reinscripcion\\\\nA: Adicion',
  `estado` ENUM('PR','A','P','R') NOT NULL COMMENT 'Posibles Valores:\\\\\\\\nPR: Pendiente Revision\\\\\\\\nA: Aceptado\\\\\\\\nP: Pendiente\\\\\\\\nR: Rechazado / Observado',
  PRIMARY KEY (`solicitud_tramite_empresa_id`),
  INDEX `fk_abt_solicitud_empresa_sys_usuario` (`codigo_usuario_id`),
  INDEX `fk_abt_solicitud_empresa` (`empresa_id`),
  CONSTRAINT `fk_abt_solicitud_empresa` 
    FOREIGN KEY (`empresa_id`) 
    REFERENCES `abt_empresa_forestal` (`empresa_forestal_id`) 
    ON UPDATE CASCADE 
    ON DELETE CASCADE
)
COLLATE='latin1_swedish_ci'
ENGINE=InnoDB;


-- -----------------------------------------------------
-- Table `abt_resolucion_empresa`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `abt_resolucion_empresa` ;

CREATE TABLE IF NOT EXISTS `abt_resolucion_empresa` (
  `resolucion_inscripcion_id` INT NOT NULL AUTO_INCREMENT,
  `codigo_resolucion` VARCHAR(100) NOT NULL,
  `fecha_registro` DATETIME NOT NULL,
  `solicitud_empresa_id` INT NOT NULL,
  `empresa_forestal_id` INT NOT NULL,
  `solicitud_id` INT NULL,
  `propietario_id` INT NOT NULL,
  `info_actividad_ids` VARCHAR(100) NOT NULL COMMENT 'Para el registro de ID\'s de actividades:\n[\n \n]',
  `representante_legal_id` INT NULL,
  `agente_auxiliar_id` INT NULL,
  `municipio_id` INT NOT NULL,
  PRIMARY KEY (`resolucion_inscripcion_id`, `propietario_id`),
  CONSTRAINT `fk_abt_resolucion_empresa_abt_empresa_forestal1`
    FOREIGN KEY (`empresa_forestal_id`)
    REFERENCES `abt_empresa_forestal` (`empresa_forestal_id`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION,
  CONSTRAINT `fk_abt_resolucion_empresa_abt_solicitud_tramite_empresa1`
    FOREIGN KEY (`solicitud_id`)
    REFERENCES `abt_solicitud_tramite_empresa` (`solicitud_tramite_empresa_id`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB;

CREATE INDEX `fk_abt_resolucion_empresa_abt_solicitud_empresa1_idx` ON `abt_resolucion_empresa` (`solicitud_empresa_id` ASC);


-- -----------------------------------------------------
-- Table `abt_log_empresa`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `abt_log_empresa` ;

CREATE TABLE IF NOT EXISTS `abt_log_empresa` (
  `log_empresa_id` INT NOT NULL AUTO_INCREMENT,
  `fecha_hora` DATETIME NOT NULL,
  `entity` VARCHAR(120) NOT NULL,
  `datos` TEXT NOT NULL,
  `descripcion` VARCHAR(200) NULL,
  `tipo_id` INT NOT NULL,
  `usuario_codigo` INT NULL,
  `tipo` ENUM('nuevo', 'modificacion', 'eliminacion', 'error') NULL,
  PRIMARY KEY (`log_empresa_id`),
  CONSTRAINT `fk_abt_log_empresa_sys_usuario1`
    FOREIGN KEY (`usuario_codigo`)
    REFERENCES `sys_usuario` (`CodUsuario`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `abt_historico_solicitud`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `abt_historico_solicitud` ;

CREATE TABLE IF NOT EXISTS `abt_historico_solicitud` (
  `historico_solicitud_id` INT NOT NULL AUTO_INCREMENT,
  `fecha_registro` DATETIME NOT NULL,
  `descripcion` TEXT NOT NULL,
  `accion` VARCHAR(20) NOT NULL,
  `solicitud_id` INT NOT NULL,
  `usuario_codigo` INT NOT NULL,
  PRIMARY KEY (`historico_solicitud_id`),
  CONSTRAINT `fk_abt_observacion_solicitud_abt_solicitud_empresa1`
    FOREIGN KEY (`solicitud_id`)
    REFERENCES `abt_solicitud_tramite_empresa` (`solicitud_tramite_empresa_id`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION,
  CONSTRAINT `fk_abt_observacion_solicitud_sys_usuario1`
    FOREIGN KEY (`usuario_codigo`)
    REFERENCES `sys_usuario` (`CodUsuario`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `abt_tipo_archivo`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `abt_tipo_archivo` ;

CREATE TABLE IF NOT EXISTS `abt_tipo_archivo` (
  `tipo_archivo_id` INT NOT NULL AUTO_INCREMENT,
  `nombre` VARCHAR(50) NOT NULL,
  `mime_type` VARCHAR(100) NOT NULL,
  `descripcion` VARCHAR(150) NULL,
  PRIMARY KEY (`tipo_archivo_id`))
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `abt_tipo_configurado`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `abt_tipo_configurado` ;

CREATE TABLE IF NOT EXISTS `abt_tipo_configurado` (
  `archivo_empresa_id` INT(11) NOT NULL,
  `tipo_archivo_id` INT(11) NOT NULL,
  PRIMARY KEY (`archivo_empresa_id`, `tipo_archivo_id`),
  INDEX `fk_abt_archivo_abt_tipo_archivo_configurado` (`tipo_archivo_id`),
  CONSTRAINT `fk_abt_archivo_abt_tipo_archivo_configurado` 
  FOREIGN KEY (`tipo_archivo_id`) 
    REFERENCES `abt_tipo_archivo` (`tipo_archivo_id`) 
    ON UPDATE CASCADE 
    ON DELETE CASCADE,
  CONSTRAINT `fk_tipo_archivo_abt_archivo_configurado` 
  FOREIGN KEY (`archivo_empresa_id`) 
    REFERENCES `abt_archivo_empresa` (`archivo_empresa_id`) 
    ON UPDATE CASCADE 
    ON DELETE CASCADE
)
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `abt_precio_actividad_categoria`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `abt_precio_actividad_categoria` ;

CREATE TABLE IF NOT EXISTS `abt_precio_actividad_categoria` (
  `precio_actividad_categoria_id` INT NOT NULL AUTO_INCREMENT,
  `actividad_id` INT(10) NOT NULL,
  `categoria_id` INT(10) NOT NULL,
  `monto` FLOAT NOT NULL,
  `moneda_iso` VARCHAR(15) NULL COMMENT 'Posibles Valores: USD (Dolares Estado Unidense),  BOB (Bolivianos)',
  `moneda_simbolo` VARCHAR(15) NULL,
  `tipo_tramite` ENUM('I', 'R') NOT NULL COMMENT 'Enum: \nI: Registro o Inscripcion\nR: Reinscripcion',
  PRIMARY KEY (`precio_actividad_categoria_id`))
ENGINE = MyISAM
DEFAULT CHARACTER SET = latin1;


-- -----------------------------------------------------
-- Table `abt_historial_empresa`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `abt_historial_empresa` ;

CREATE TABLE IF NOT EXISTS `abt_historial_empresa` (
  `historial_empresa_id` INT NOT NULL AUTO_INCREMENT,
  `accion` VARCHAR(20) NOT NULL,
  `descripcion` TEXT NOT NULL,
  `empresa_id` INT NOT NULL,
  `usuario_codigo` INT NULL,
  `fecha_registro` DATETIME NOT NULL,
  PRIMARY KEY (`historial_empresa_id`),
  CONSTRAINT `fk_abt_historial_empresa_abt_empresa_forestal1`
    FOREIGN KEY (`empresa_id`)
    REFERENCES `abt_empresa_forestal` (`empresa_forestal_id`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION,
  CONSTRAINT `fk_abt_historial_empresa_sys_usuario1`
    FOREIGN KEY (`usuario_codigo`)
    REFERENCES `sys_usuario` (`CodUsuario`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `abt_representante_legal`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `abt_representante_legal` ;

CREATE TABLE IF NOT EXISTS `abt_representante_legal` (
  `abt_sucursal_id` INT NOT NULL,
  `representante_codpersona` INT UNSIGNED NOT NULL,
  `habilitado` TINYINT NOT NULL DEFAULT 0,
  PRIMARY KEY (`abt_sucursal_id`, `representante_codpersona`),
  CONSTRAINT `fk_abt_sucursal_empresa_has_abt_persona_abt_sucursal_empresa1`
    FOREIGN KEY (`abt_sucursal_id`)
    REFERENCES `abt_sucursal_empresa` (`empresa_sucursal_id`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION,
  CONSTRAINT `fk_abt_sucursal_empresa_has_abt_persona_abt_persona1`
    FOREIGN KEY (`representante_codpersona`)
    REFERENCES `abt_persona` (`codpersona`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `abt_pago_solicitud`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `abt_pago_solicitud` ;

CREATE TABLE IF NOT EXISTS `abt_pago_solicitud` (
  `pago_solicitud_id` INT NOT NULL AUTO_INCREMENT,
  `monto` FLOAT NOT NULL,
  `pagoComprobado` TINYINT NOT NULL DEFAULT 0,
  `monto_moneda` VARCHAR(15) NOT NULL,
  `nombre_archivo_comprobante` VARCHAR(120) NULL,
  `solicitud_id` INT NOT NULL,
  PRIMARY KEY (`pago_solicitud_id`),
  CONSTRAINT `fk_abt_pago_solicitud_abt_solicitud_empresa1`
    FOREIGN KEY (`solicitud_id`)
    REFERENCES `abt_solicitud_tramite_empresa` (`solicitud_tramite_empresa_id`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `abt_unidad`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `abt_unidad` ;

CREATE TABLE IF NOT EXISTS `abt_unidad` (
  `unidad_id` INT NOT NULL AUTO_INCREMENT,
  `nombre` VARCHAR(10) NOT NULL,
  `valor` FLOAT NULL,
  `descripcion` VARCHAR(100) NULL,
  PRIMARY KEY (`unidad_id`))
ENGINE = InnoDB;

-- -----------------------------------------------------
-- Table `abt_movimiento_producto`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `abt_movimiento_producto` ;

CREATE TABLE IF NOT EXISTS  (
  `movimiento_producto_id` INT(11) NOT NULL AUTO_INCREMENT,
  `unidad_id` INT(11) NOT NULL,
  `actividad_id` INT(11) NOT NULL,
  `producto_codigo` INT(10) UNSIGNED NOT NULL,
  `observacion` ENUM('P','ST') NULL DEFAULT NULL COMMENT 'P: Proyectado, ST: Saldo en Stock',
  `especiecomun_codigo` INT(11) NOT NULL,
  `cantidad` FLOAT NOT NULL,
  `rendimiento` INT(11) NOT NULL,
  PRIMARY KEY (`movimiento_producto_id`),
  INDEX `fk_abt_movimiento_producto_abt_empresa_has_actividad` (`actividad_id`),
  INDEX `fk_abt_movimiento_has_tipoproductoforestal` (`producto_codigo`),
  CONSTRAINT `fk_abt_movimiento_producto_abt_empresa_has_actividad` 
    FOREIGN KEY (`actividad_id`) 
    REFERENCES `abt_sucursal_has_actividad` (`sucursal_actividad_id`) 
    ON UPDATE NO ACTION ON DELETE NO ACTION
)
ENGINE = InnoDB;


DROP TABLE IF EXISTS `abt_movimiento_detalle_maquinaria` ;

CREATE TABLE IF NOT EXISTS `abt_movimiento_detalle_maquinaria` (
  `movimiento_detalle_maquinaria_id` INT(11) NOT NULL AUTO_INCREMENT,
  `actividad_id` INT(11) NOT NULL,
  `maquinaria_equipo` VARCHAR(200) NOT NULL,
  `cantidad` INT(11) NOT NULL,
  `modelo` VARCHAR(200) NULL DEFAULT NULL,
  `especificacion_tecnica` VARCHAR(250) NULL DEFAULT NULL,
  `anio_compra` INT(11) NULL DEFAULT NULL,
  PRIMARY KEY (`movimiento_detalle_maquinaria_id`),
  INDEX `fk_abt_movimiento_producto_abt_empresa_has_actividad` (`actividad_id`)
)
COLLATE='latin1_swedish_ci'
ENGINE=InnoDB
;

-- -----------------------------------------------------
-- Table `abt_producto_has_unidad`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `abt_producto_has_unidad` ;

CREATE TABLE IF NOT EXISTS `abt_producto_has_unidad` (
  `producto_id` INT NOT NULL,
  `unidad_id` INT NOT NULL,
  `producto_codigo` INT(10) UNSIGNED NOT NULL,
  PRIMARY KEY (`unidad_id`, `producto_id`),
  CONSTRAINT `fk_abr_producto_empresa_has_abt_unidad_abt_unidad1`
    FOREIGN KEY (`unidad_id`)
    REFERENCES `abt_unidad` (`unidad_id`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION,
  CONSTRAINT `fk_abt_producto_has_unidad_tec_tipoproductoforestal1`
    FOREIGN KEY (`producto_codigo`)
    REFERENCES `tec_tipoproductoforestal` (`codtipoproductoforestal`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `abt_moviento_volumen`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `abt_moviento_volumen` ;

CREATE TABLE IF NOT EXISTS `abt_moviento_volumen` (
  `moviento_volumen_id` INT NOT NULL AUTO_INCREMENT,
  `actividad_id` INT(10) UNSIGNED NOT NULL,
  `categoria_id` INT(10) UNSIGNED NOT NULL,
  `operacion` VARCHAR(15) NOT NULL COMMENT 'Posibles Valores:\nRango\nMayor\nMenor\nIlimitado',
  `valor_inicial` INT NULL,
  `valor_final` INT NULL,
  `unidad_id` INT(11) NOT NULL,
  `producto_id` INT(11) NOT NULL,
  PRIMARY KEY (`moviento_volumen_id`))
ENGINE = MyISAM
DEFAULT CHARACTER SET = latin1;


-- -----------------------------------------------------
-- Table `abt_maquinaria_empresa`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `abt_maquinaria_empresa` ;

CREATE TABLE IF NOT EXISTS `abt_maquinaria_empresa` (
  `maquinaria_empresa_id` INT NOT NULL AUTO_INCREMENT,
  `nombre_maquina_equipo` VARCHAR(150) NOT NULL,
  `cantidad` INT NOT NULL,
  `modelo` VARCHAR(150) NOT NULL,
  `anio_compra` INT NOT NULL,
  `actividad_id` INT NOT NULL,
  PRIMARY KEY (`maquinaria_empresa_id`),
  CONSTRAINT `fk_abt_maquinaria_empresa_abt_empresa_has_actividad1`
    FOREIGN KEY (`actividad_id`)
    REFERENCES `abt_empresa_has_actividad` (`empresa_actividad_id`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB;


SET SQL_MODE=@OLD_SQL_MODE;
SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS;
SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS;


CREATE TABLE IF NOT EXISTS `abt_persona_tramite` (
  `codpersona` INT(10) NOT NULL AUTO_INCREMENT,
  `nombres` VARCHAR(45) NULL DEFAULT NULL,
  `appaterno` VARCHAR(45) NULL DEFAULT NULL,
  `apmaterno` VARCHAR(45) NULL DEFAULT NULL,
  `codpaisorigen` INT(10) UNSIGNED NULL DEFAULT NULL,
  `codtipodocid` INT(10) UNSIGNED NULL DEFAULT NULL,
  `nrodocid` VARCHAR(45) NULL DEFAULT NULL,
  `emitido` VARCHAR(5) NULL DEFAULT NULL,
  `telefono` VARCHAR(15) NULL DEFAULT NULL,
  `celular` VARCHAR(15) NULL DEFAULT NULL,
  `email` VARCHAR(100) NULL DEFAULT NULL,
  `fax` VARCHAR(15) NULL DEFAULT NULL,
  `tipo` VARCHAR(1) NULL DEFAULT NULL COMMENT 'P:Propietario, R: Representante Legal, A: Agente Auxiliar',
  `codpersona_id` INT UNSIGNED DEFAULT NULL,
  `solicitud_id` INT UNSIGNED NOT NULL,
  `entidad_id` INT(11) UNSIGNED NULL DEFAULT NULL,
  PRIMARY KEY (`codpersona`),
  INDEX `ixcodpais` (`codpaisorigen`),
  INDEX `ixcodtipodoc` (`codtipodocid`),
  INDEX `fk_abt_persona_tramite_abt_solicitud_empresa` (`solicitud_id`),
  CONSTRAINT `fk_abt_persona_tramite_abt_solicitud_empresa` FOREIGN KEY (`solicitud_id`) REFERENCES `abt_solicitud_tramite_empresa` (`solicitud_tramite_empresa_id`) ON UPDATE NO ACTION ON DELETE NO ACTION
)
COLLATE='utf8_general_ci'
ENGINE=MyISAM
;